<div class="btnContainer">
    <a routerLink="/square" class="button">На главную</a>
    <a routerLink="../page1" class="button">На страницу 1</a>
</div>
<h1 class="pageHeader">Страница 2</h1>
<textarea (change)="sendText()" [(ngModel)]="text" class="pagesText" name="someNameOfTextArea" id="page2TextArea" placeholder="Введите текст">{{text}}</textarea>